import { locales } from '@pisell/utils';

/**
 * @title: 默认引导页配置
 * @description: 
 * @param {any} locales
 * @return {any}
 * @Author: WangHan
 * @Date: 2025-06-09 14:22
 */
export var defaultWalletGuideConfig = function defaultWalletGuideConfig() {
  return {
    show: 1,
    //文字居中
    align: 'center',
    //背景颜色
    backgroundColor: '',
    backgroundImage: '',
    backgroundImageAlt: '',
    buttonColor: 'rgba(127,86,217,1)',
    buttonBorderColor: 'rgba(127,86,217,1)',
    // 标题配置
    titleConfig: {
      size: 18,
      color: 'rgba(255,255,255,1)',
      weight: 600,
      style: 'normal',
      text: locales.getText('page.wallet.guide.title')
    },
    // 副标题配置
    subtitleConfig: {
      size: 14,
      color: 'rgba(208,213,221,1)',
      weight: 400,
      style: 'normal',
      text: locales.getText('page.wallet.guide.subtitle')
    },
    // 按钮配置
    buttonConfig: {
      size: 14,
      color: 'rgba(255,255,255,1)',
      weight: 600,
      style: 'normal',
      text: locales.getText('page.wallet.guide.button')
    }
  };
};